%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global oname cclib

Name:		python-%{oname}
Version:	1.3.1
Release:	2%{?dist}
Summary:	A library for processing results of computational chemistry packages
Group:		Development/Languages
License:	LGPLv2+
URL:		https://github.com/cclib/cclib
Source0:	https://github.com/%{oname}/%{oname}/archive/v%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	python3-devel
# For test phase
BuildRequires:	numpy
BuildRequires:	python3-numpy
# Needed for operation
Requires:	numpy
# Extra stuff
Requires:	PyQt4
Requires:	vtk-python

%description
cclib is an open source library, written in Python, for parsing and
interpreting the results of computational chemistry packages. The current
version, cclib 0.9, parses output files from ADF, GAMESS (US), GAMESS-UK,
Gaussian, Jaguar, Molpro, ORCA and PC GAMESS.

%package -n python3-%{oname}
Summary:	%{summary}
Requires:	python3-numpy

%description -n python3-%{oname}
cclib is an open source library, written in Python, for parsing and
interpreting the results of computational chemistry packages. The current
version, cclib 0.9, parses output files from ADF, GAMESS (US), GAMESS-UK,
Gaussian, Jaguar, Molpro, ORCA and PC GAMESS.

This is the python3 version of the library.

%prep
%setup -q -c -n %{oname}-%{version} -T
tar zxf %{SOURCE0}
chmod u=rwX -R %{oname}-%{version}
mv %{oname}-%{version}/* .
# Fix permissions
find . -type f -exec chmod 644 {} \;
# Fix line endings
for file in PKG-INFO test/*.py; do
    sed -e 's|\r||g' $file > $file.new &&
    touch -r $file $file.new &&
    mv $file.new $file
done
# Fix encodings
for f in THANKS CHANGELOG; do
    iconv -f ISO-8859-1 -t utf8 $f > $f.new && \
	touch -r $f $f.new && \
	mv $f.new $f
done

# Add file encodings for compilation under python-2.7
# https://github.com/langner/cclib/commit/9fddf44edaf9a139fd83c5bbb06127ec4107f0f4
# https://github.com/cclib/cclib/issues/160
# sed -i '1 i\# -*- coding: utf-8 -*-'  src/cclib/method/lpa.py

# preparation for python3
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python2} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
python setup.py install -O1 --skip-build --root %{buildroot}

# python3 installation
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

# Test phase needs installed python-cclib 
%check
pushd test
PYTHONPATH=../build/lib python testall.py
popd

# test using python3
pushd test
PYTHONPATH=../build/lib python3 testall.py
popd

%files
%defattr(-,root,root,-)
%doc ANNOUNCE CHANGELOG LICENSE README THANKS
%{python_sitelib}/%{oname}/
%{python_sitelib}/%{oname}-*.egg-info
%{_bindir}/ccget
%{_bindir}/cda

%files -n python3-%{oname}
%doc ANNOUNCE CHANGELOG LICENSE README THANKS
%{python3_sitelib}/%{oname}/
%{python3_sitelib}/%{oname}-*.egg-info
%{_bindir}/ccget
%{_bindir}/cda

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Feb 14 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.3.1-1
- Update to version 1.3.1

* Thu Jan 22 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.3-1
- Update to version 1.3

* Sun Jul 13 2014 Mukundan Ragavan <nonamedotc@gmail.com> - 1.2-2
- Added python3 package

* Fri Jun 13 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.2-1
- Updated to 1.2
- Changed URL and Source0 to github links
- Added sed lines to add file encoding for compiling under python-2.7

* Fri Jun 13 2014 Susi Lehtola <jussilehtola@fedoraproject.org> - 1.1-1
- Update to 1.1.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Mar 15 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 24 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0-2
- Workaround bad permissions in tarball causing FTBFS.

* Fri Mar 12 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0-1
- Update to 1.0.

* Wed Feb 24 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0a-1
- Update to 1.0a.

* Sun Feb 14 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.91-7
- Bump release.

* Fri Jul 31 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.91-6
- Drop extra requires by request of upstream.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.91-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 02 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.91-4
- Put everything in main package instead.

* Fri Apr 24 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.91-3
- Branched supplementary Requires metapackage.

* Thu Apr 23 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.91-2
- Added BR: numpy and Requires: numpy.
- Removed test/ from %%doc.

* Thu Apr 23 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.91-1
- First release.
